### Method

# RB ExtDBKey lookups

#### Declaration [src]

    void
    rb_ext_db_key_lookups (
      RBExtDBKey* key,
      RBExtDBKeyLookupCallback callback,
      gpointer user_data
    )

#### Description [src]

Generates the set of possible lookup keys for `key` and passes them to `callback` in order. If the callback returns `FALSE`, processing will stop.

This should only be used by the metadata store itself. Metadata providers and consumers shouldn’t need to do this.

This method is not directly available to language bindings.

#### Parameters

`callback`

  Type: `RBExtDBKeyLookupCallback`

  A callback to process lookup keys.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.